
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1002 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1002()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	final int[] table = {2, 2, 2, 3, 3, 3, 4, 4, 1, 1,
						 5, 5, 6, 6, 0, 7, 0, 7, 7, 8,
						 8, 8, 9, 9, 9, 0};
	
	void solve() throws IOException {
		String s = in.readLine();
		int length = s.length();
		int[] number = new int[length];
		for (int i = 0; i < length; i++) {
			number[i] = s.charAt(i) - '0';
		}
		while (!s.equals("-1")) {
			length = s.length();
			number = new int[length];
			for (int i = 0; i < length; i++) {
				number[i] = s.charAt(i) - '0';
			}
			int n = Integer.parseInt(in.readLine());
			HashSet<String> stringSet = new HashSet<String>();
			for (int i = 0; i < n; i++) {
				stringSet.add(in.readLine());
			}
			int setSize = stringSet.size();
			String[] sArr = new String[setSize];
			int p = 0;
			for (String str : stringSet) {
				sArr[p++] = str;
			}
			solveTest(number, sArr, setSize);
			s = in.readLine();
		}
	}
	
	HashMap<Integer, HashSet<Integer>> getPossiblePositions(int[] number, int[][] arr, int arrLength) {
		HashMap<Integer, HashSet<Integer>> map = new HashMap<Integer, HashSet<Integer>>();
		for (int index = 0; index < arrLength; index++) {
			int[] b = arr[index];
			int nn = number.length;
			int bn = b.length;
			int[] a = new int[nn + 1 + bn];
			for (int i = 0; i < bn; i++) {
				a[i] = b[i];
			}
			a[bn] = -1;
			for (int i = 0; i < nn; i++) { 
				a[bn + i + 1] = number[i];
			}
			
			int n = nn + 1 + bn;
			int[] p = new int[n];
			p[0] = 0;
			for (int i = 1; i < n; i++) {
				int j = p[i - 1];
				while (j > 0 && a[i] != a[j]) {
					j = p[j - 1];
				}
				if (a[i] == a[j]) {
					j++;
				}
				p[i] = j;
			}
			
			for (int i = bn + 1; i < n; i++) {
				if (p[i] == bn) {
					int c = i - 2 * bn;
					if (!map.containsKey(c)) {
						HashSet<Integer> set = new HashSet<Integer>();
						set.add(index);
						map.put(c, set);
					} else {
						HashSet<Integer> set = map.get(c);
						set.add(index);
					}
				}
			}
		}
		return map;
	}
	
	void solveTest(int[] number, String[] sArr, int arrLength) {
		int[][] a = new int[arrLength][];
		for (int i = 0; i < arrLength; i++) {
			int length = sArr[i].length();
			a[i] = new int[length];
			for (int j = 0; j < length; j++) {
				int index = sArr[i].charAt(j) - 'a';
				a[i][j] = table[index];
			}
		}
		HashMap<Integer, HashSet<Integer>> map = 
			getPossiblePositions(number, a, arrLength);

		int[] len = new int[arrLength];
		for (int i = 0; i < arrLength; i++) {
			len[i] = a[i].length;
		}
		int n = number.length;
		int[] d = new int[n + 1];
		int[] w = new int[n + 1];
		
		Collection<Integer> keySet = map.keySet();
		int keySetSize = keySet.size();
		int[] keys = new int[keySetSize];
		int k = 0;
		for (Integer key : keySet) {
			keys[k++] = key;
		}
		Arrays.sort(keys);
		
		Arrays.fill(d, -1);
		Arrays.fill(w, -1);
		d[0] = 0;
		for (Integer i : keys) {
			if (d[i] == -1) continue;
			HashSet<Integer> set = map.get(i);
			if (set == null) continue;
			for (Integer j : set) {
				int c = i + len[j];
				if (d[c] == -1 || d[i] + 1 < d[c]) {
					d[c] = d[i] + 1;
					w[c] = j;
				}
			}
		}
		
		if (d[n] == -1) {
			out.println("No solution.");
			return;
		}
		LinkedList<Integer> ans = new LinkedList<Integer>();
		k = n;
		while (w[k] != -1) {
			ans.addFirst(w[k]);
			k -= len[w[k]];
		}
		Iterator<Integer> it = ans.iterator();
		out.print(sArr[it.next()]);
		while (it.hasNext()) {
			out.print(' ');
			out.print(sArr[it.next()]);
		}
		out.println();
	}
	
}
