
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1005 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1005()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		if (n == 1) {
			out.println(readInt());
			return;
		}
		int[] a = new int[n];
		int sum = 0;
		for (int i = 0; i < n; i++) {
			a[i] = readInt();
			sum += a[i];
		}
		byte[] d = new byte[sum + 1];
		final byte inf = 127;
		Arrays.fill(d, inf);
		d[a[0]] = 0;
		int minValue = a[0], maxValue = a[0];
		for (byte i = 1; i < n; i++) {
			int c = a[i];
			for (int j = minValue; j <= maxValue; j++) {
				if (d[j] < i) {
					if (d[c + j] == inf) d[c + j] = i;
					if (c + j > maxValue) maxValue = c + j;
				}
			}
			if (d[c] == inf) {
				d[c] = i;
				if (c < minValue) minValue = c;
			}
		}
		int half = sum / 2;
		int count = 0;
		while (d[half - count] == inf)
			count++;
		out.println(count * 2 + sum % 2);
	}
	
}
