
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1022 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1022()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	ArrayList<ArrayList<Integer>> graph;
	boolean visited[];
	LinkedList<Integer> ans;
	
	void solve() throws IOException {
		int n = readInt();
		graph = new ArrayList<ArrayList<Integer>>();
		visited = new boolean[n];
		for (int i = 0; i < n; i++) {
			ArrayList<Integer> vertex = new ArrayList<Integer>();
			graph.add(vertex);
			int c = readInt();
			while (c != 0) {
				vertex.add(c - 1);
				c = readInt();
			}
		}
		ans = new LinkedList<Integer>();
		for (int i = 0; i < n; i++) {
			if (!visited[i]) dfs(i);
		}
		ListIterator<Integer> it = ans.listIterator();
		out.print(it.next() + 1);
		while (it.hasNext()) {
			out.print(' ');
			out.print(it.next() + 1);
		}
	}
	
	void dfs(int v) {
		visited[v] = true;
		ArrayList<Integer> edges =  graph.get(v);
		for (int i = 0; i < edges.size(); i++) {
			int to = edges.get(i);
			if (!visited[to]) dfs(to);
		}
		ans.addFirst(v);
	}
	
}
