
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1024 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1024()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int[] a;
	int[] p;
	
	void solve() throws IOException {
		int n = readInt();
		a = new int[n];
		for (int i = 0; i < n; i++) {
			a[i] = readInt() - 1;
		}
		p = new int[n];
		for (int i = 0; i < n; i++) {
			calcOrder(i);
		}
		int ans = 1;
		for (int i = 0; i < n; i++) {
			ans = ans / gcd(ans, p[i]) * p[i];
		}
		out.println(ans);
	}
	
	void calcOrder(int k) {
		if (p[k] != 0) return;
		LinkedList<Integer> list = new LinkedList<Integer>();
		int start = k;
		list.add(start);
		int next = a[k];
		while (start != next) {
			list.add(next);
			next = a[next];
		}
		int order = list.size();
		ListIterator<Integer> it = list.listIterator();
		while (it.hasNext()) {
			p[it.next()] = order;
		}
	}
	
	int gcd(int a, int b) {
		if (b == 0) return a;
		else return gcd(b, a % b);
	}
	
}
