
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1032 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1032()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		int[] a = new int[n];
		for (int i = 0; i < n; i++) {
			a[i] = readInt();
		}
		int[] d = new int[n];
		int[] v = new int[n];
		Arrays.fill(d, -1);
		for (int i = 0; i < n; i++) {
			int c = a[i];
			for (int j = 1; j < n; j++) {
				if (d[j] == -1 || v[j] == i) continue;
				if (d[(j + c) % n] == -1) {
					d[(j + c) % n] = c;
					v[(j + c) % n] = i;
				}
			}
			if (d[c % n] == -1) {
				d[c % n] = c;
				v[c % n] = i;
			}
			if (d[0] != -1) {
				writeAnswer(d);
				return;
			}
		}
		out.println(0);
	}
	
	void writeAnswer(int[] d) {
		int n = d.length;
		Queue<Integer> q = new ArrayDeque<Integer>();
		int sum = 0;
		int k = 0;
		do {
			sum += d[k];
			q.add(d[k]);
			k = (n + k - (d[k] % n)) % n;
		} while (sum % n != 0);
		out.println(q.size());
		Iterator<Integer> it = q.iterator();
		while (it.hasNext()) {
			out.println(it.next());
		}
	}
	
}
