
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1044 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1044()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		final int k = (n / 2) * 9;
		final int m = 10;		
		
		int[][] d = new int[n + 1][k + 1];
		d[0][0] = 1;
		for (int i = 1; i <= n; i++) {
			for (int j = 0; j <= k; j++) {
				if (j == 0) {
					d[i][j] = d[i - 1][j];
				} else
				if (j < m) {
					d[i][j] = d[i][j - 1] + (d[i - 1][j]);
				} else {
					d[i][j] = d[i][j - 1] + (d[i - 1][j]) - (d[i - 1][j - m]);
				}
			}
		}
		out.println(d[n][k]);
	}
	
}
