
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1047 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	double readDouble() throws IOException {
		tok.nextToken();
		return tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1047()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		double aFirst = readDouble();
		double aLast = readDouble();
		double[] c = new double[n + 1];
		for (int i = 1; i <= n; i++) {
			c[i] = readDouble();
		}
		for (int i = 1; i <= n; i++) {
			c[i] = -2 * c[i];
		}
		c[1] += aFirst;
		c[n] += aLast;
		for (int i = n - 1; i >= 1; i--) {
			c[i] = (n - i + 1) * c[i] + c[i + 1];
		}
		double ans = c[1] / (n + 1);
		out.printf(Locale.US, "%.2f", ans);
	}
	
}
