
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1048 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	byte readByte() throws IOException {
		tok.nextToken();
		return (byte) tok.nval;
	}

	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1048()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		byte[] a = new byte[n];
		byte[] b = new byte[n];
		for (int i = 0; i < n; i++) {
			a[i] = readByte();
			b[i] = readByte();
		}
		byte[] c = sum(a, b);
		printBigInteger(c);
	}
	
	byte[] sum(byte[] a, byte[] b) {
		int n = a.length;
		byte[] c = new byte[n];
		int p = 0;
		for (int i = n - 1; i >= 0; i--) {
			c[i] = (byte) ((a[i] + b[i] + p) % 10);
			p = (a[i] + b[i] + p) / 10;
		}
		return c;
	}
	
	void printBigInteger(byte[] a) {
		int n = a.length;
		for (int i = 0; i < n; i++) {
			out.print(a[i]);
		}
	}
	
}
