
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1049 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1049()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	final int prsize = 10001;
	int[] primes;
	
	void solve() throws IOException {
		final int n = 10;
		int[] a = new int[n];
		for (int i = 0; i < n; i++) {
			a[i] = readInt();
		}
		calcPrimes();
		for (int i = 0; i < n; i++) {
			decompose(a[i]);
		}
		int p = 1;
		for (int k = 2; k < prsize; k = nextPrime(k)) {
			p = (p * (primes[k] + 1)) % 10;
		}
		out.println(p);
	}
	
	void calcPrimes() {
		primes = new int[prsize];
		primes[0] = -1; primes[1] = -1;
		for (int i = 2; i < prsize; i++) {
			if (primes[i] == 0) {
				for (int k = 2 * i; k < prsize; k += i) {
					primes[k] = -1;
				}
			}
		}
	}
	
	int nextPrime(int prevPrime) {
		int i = prevPrime + 1;
		while (i < prsize && primes[i] == -1) i++;
		return i;
	}
	
	void decompose(int a) {
		int k = 2;
		while (a > 1) {
			if (primes[a] != -1) {
				primes[a]++;
				return;
			}
			if (a % k == 0) {
				primes[k]++;
				a /= k;
			} else {
				k = nextPrime(k);
			}
			if (k > sqrt(prsize)) return;
		}
	}
	
}
