
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1072 implements Runnable {
	
	StringTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			out = new PrintWriter("output.txt");
		}
	}
	
	String readString() throws IOException {
		while (tok == null || !tok.hasMoreTokens()) {
			tok = new StringTokenizer(in.readLine());
		}
		return tok.nextToken(" .");
	}
	
	int readInt() throws IOException {
		return Integer.parseInt(readString());
	}	
	
	public static void main(String[] args) {
		new Thread(new Timus_1072()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Computer {
		HashSet<Integer> subnets = new HashSet<Integer>();
		Computer() {
		}
		void addInterface(int ip, int mask) {
			subnets.add(ip & mask);
		}
	}
	
	final int INF = 1000 * 1000 * 1000;
	int n;
	Computer[] comps;
	ArrayList<Integer>[] graph;
	boolean[] visited;
	int[] d;
	int[] from;
	
	void buildGraph() {
		graph = new ArrayList[n];
		for (int i = 0; i < n; i++) {
			graph[i] = new ArrayList<Integer>();
		}
		for (int i = 0; i < n; i++) {
nextComp:	for (int j = 0; j < i; j++) {
				for (Integer iNet : comps[i].subnets) {
					for (Integer jNet : comps[j].subnets) {
						if (iNet.equals(jNet)) {
							graph[i].add(j);
							graph[j].add(i);
							continue nextComp;
						}
					}
				}
			}
		}
	}
	
	void solve() throws IOException {
		n = readInt();
		comps = new Computer[n];
		for (int i = 0; i < n; i++) {
			comps[i] = new Computer();
			int k = readInt();
			for (int j = 0; j < k; j++) { 
				int ip = (readInt() << 24) + (readInt() << 16) +
						 (readInt() << 8) + readInt();
				int mask = (readInt() << 24) + (readInt() << 16) +
						   (readInt() << 8) + readInt();
				comps[i].addInterface(ip, mask);
			}
		}
		int start = readInt() - 1;
		int finish = readInt() - 1;
		buildGraph();
		search(start, finish);
		if (d[finish] == INF) {
			out.println("No");
			return;
		}
		Deque<Integer> ans = new ArrayDeque<Integer>();
		int v = finish;
		while (v != -1) {
			ans.addFirst(v);
			v = from[v];
		}
		out.println("Yes");
		Iterator<Integer> it = ans.iterator();
		out.print(it.next() + 1);
		while (it.hasNext()) {
			out.print(' ');
			out.print(it.next() + 1);
		}
	}
	
	void prepare(int start) {
		visited = new boolean[n];
		d = new int[n];
		from = new int[n];
		Arrays.fill(d, INF);
		Arrays.fill(from, -1);
		visited[start] = true;
		d[start] = 0;
	}
	
	void search(int start, int finish) {
		prepare(start);
		Deque<Integer> q = new ArrayDeque<Integer>();
		q.add(start);
		while (!q.isEmpty()) {
			int v = q.poll();
			for (Integer i : graph[v]) {
				if (d[i] > d[v] + 1) {
					d[i] = d[v] + 1;
					if (!visited[i]) {
						q.addLast(i);
					} else {
						q.addFirst(i);
					}
					from[i] = v;
					visited[i] = true;
				}
			}
		}
	}
	
}
