
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1079 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1079()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Tree {
		int[] t;
		int n;
		Tree(int[] a) {
			n = a.length;
			t = new int[n];
			for (int i = 0; i < n; i++) {
				set(i, a[i]);
			}
		}
		void set(int index, int value) {
			for (int i = index; i < n; i = i | (i + 1)) {
				t[i] = Math.max(value, t[i]);
			}
		}
		int max(int right) {
			int max = Integer.MIN_VALUE;
			for (int i = right; i >= 0; i = (i & (i + 1)) - 1) {
				max = Math.max(t[i], max);
			}
			return max;
		}
	}
	
	void solve() throws IOException {
		final int maxN = 100 * 1000;
		int a[] = new int[maxN];
		a[0] = 0;
		a[1] = 1;
		for (int i = 1; i < maxN / 2; i++) {
			a[2 * i] = a[i];
			a[2 * i + 1] = a[i] + a[i + 1];
		}
		Tree tree = new Tree(a);
		int right = readInt();
		while(right != 0) {
			out.println(tree.max(right));
			right = readInt();
		}
	}
	
}
