
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1080 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1080()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int n;
	boolean[][] graph;
	int[] color;
	
	void solve() throws IOException {
		n = readInt();
		graph = new boolean[n][n];
		for (int i = 0; i < n; i++) {
			int c = readInt();
			while (c != 0) {
				graph[i][c - 1] = true;
				graph[c - 1][i] = true;
				c = readInt();
			}
		}
		color = new int[n];
		Arrays.fill(color, -1);
		color[0] = 0;
		if (!search(0)) {
			out.println(-1);
		} else {
			for (int i = 0; i < n; i++) {
				out.print(color[i]);
			}
		}
	}
	
	boolean search(int v) {
		boolean b = true;
		for (int i = 0; i < n; i++) {
			if (graph[v][i]) {
				if (color[v] == color[i]) {
					return false;
				}
				if (color[i] == -1) {
					color[i] = (color[v] + 1) % 2;
					b &= search(i);
				}
			}
		}
		return b;
	}
	
}
