
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1081 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1081()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();	
		int k = readInt();
		int[] f = new int[n + 1];
		f[0] = 1;
		f[1] = 2;
		for (int i = 2; i <= n; i++) {
			f[i] = f[i - 1] + f[i - 2];
		}
		if (k > f[n]) {
			out.println(-1);
			return;
		}
		k--;
		LinkedList<Integer> list = new LinkedList<Integer>();
		for (int i = n - 1; i >= 0; i--) {
			if (k >= f[i]) {
				k -= f[i];
				list.add(1);
			} else {
				list.add(0);
			}
		}
		ListIterator<Integer> it = list.listIterator();
		while (it.hasNext()) {
			out.print(it.next());
		}
	}
	
}
