
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1086 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1086()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		final int nmax = 1000 * 1000 + 1;
		boolean[] prime = new boolean[nmax];
		Arrays.fill(prime, true);
		for (int i = 2; i < nmax; i++) {
			if (prime[i]) {
				for (int k = 2 * i; k < nmax; k += i) prime[k] = false;
			}
		}
		ArrayList<Integer> a = new ArrayList<Integer>(15000);
		for (int i = 2; i < nmax; i++) {
			if (prime[i]) a.add(i);
		}
		
		int n = readInt();
		for (int i = 0; i < n; i++) { 
			int k = readInt();
			out.println(a.get(k - 1));
		}
	}
	
}
