
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1090 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1090()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		int k = readInt();
		ArrayList<Integer> a = new ArrayList<Integer>(n);
		int maxAns = Integer.MIN_VALUE;
		int maxIndex = 0;
		for (int testCounter = 1; testCounter <= k; testCounter++) {
			int ans = 0;
			a.clear();
			for (int i = 0; i < n; i++) {
				int c = readInt();
				int index = -Collections.binarySearch(a, c) - 1;
				ans += (i - index);
				a.add(index, c);
			}
			if (ans > maxAns) {
				maxAns = ans;
				maxIndex = testCounter;
			}
		}
		out.println(maxIndex);
	}
	
}
