
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1100 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1100()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Team implements Comparable<Team> {
		int id, solved, number;
		Team(int id, int solved, int number) {
			this.id = id;
			this.solved = solved;
		}
		@Override
		public int compareTo(Team t) {
			if (this.solved < t.solved) return 1;
			if (this.solved > t.solved) return -1;
			if (this.number < t.number) return 1;
			if (this.number > t.number) return -1;
			return 0;
		}
		
	}
	
	void solve() throws IOException {
		int n = readInt();
		Team[] t = new Team[n];
		for (int i = 0; i < n; i++) {
			int id = readInt();
			int solved = readInt();
			t[i] = new Team(id, solved, i);
		}
		Arrays.sort(t);
		for (int i = 0; i < n; i++) {
			out.println(t[i].id + " " + t[i].solved);
		}
	}
	
}
