
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1104 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1104()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		String s = in.readLine();
		int n = s.length();
		int sum = 0, minK = 0;
		for (int i = 0; i < n; i++) {
			int number = getNumber(s.charAt(i));
			minK = max(minK, number + 1);
			sum += number;
		}
		if (minK == 1) {
			out.println(2);
			return;
		}
		for (int k = minK; k <= 36; k++) {
			if (sum % (k - 1) == 0) {
				out.println(k);
				return;
			}
		}
		out.println("No solution.");
	}
	
	int getNumber(char c) {
		if ('0' <= c && c <= '9') return c - '0';
		else return c - 'A' + 10;
	}
	
}
