
import java.awt.List;
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1106 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1106()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int n;
	boolean[][] graph;
	int[] color;
	
	LinkedList<Integer> ans = new LinkedList<Integer>();
	
	void printAnswer() {
		out.println(ans.size());
		Iterator<Integer> it = ans.iterator();
		out.print(it.next());
		while (it.hasNext()) {
			out.print(' ');
			out.print(it.next());
		}
	}
	
	void solve() throws IOException {
		n = readInt();
		graph = new boolean[n][n];
		for (int i = 0; i < n; i++) {
			int c = readInt();
			while (c != 0) {
				graph[i][c - 1] = true;
				c = readInt();
			}
		}
		color = new int[n];
		Arrays.fill(color, -1);
		for (int i = 0; i < n; i++) {
			if (color[i] == -1) {
				color[i] = 0;
				dfs(i);
			}
		}
		for (int i = 0; i < n; i++) {
			if (color[i] == 0) {
				ans.add(i + 1);
			}
		}
		printAnswer();
	}
	
	void dfs(int v) {
		for (int i = 0; i < n; i++) {
			if (graph[v][i] && color[i] == -1) {
				color[i] = (color[v] + 1) % 2;
				dfs(i);
			}
		}
	}
	
}
