
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1110 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1110()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		int m = readInt();
		int y = readInt();
		LinkedList<Integer> list = new LinkedList<Integer>();
		for (int x = 0; x < m; x++) {
			if (modPow(x, n, m) == y) {
				list.add(x);
			}
		}
		if (list.size() == 0) {
			out.println(-1);
			return;
		}
		ListIterator<Integer> it = list.listIterator();
		out.print(it.next());
		while (it.hasNext()) {
			out.print(' ');
			out.print(it.next());
		}
	}
	
	int modPow(int x, int n, int m) {
		if (n == 0) return 1;
		else if (n % 2 == 0) {
			int b = modPow(x, n / 2, m);
			return (b * b) % m;
		}
		else return (x * modPow(x, n - 1, m)) % m;
	}
}
