
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1116 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	byte readByte() throws IOException {
		tok.nextToken();
		return (byte) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1116()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	final byte NaN = 125;
	
	void solve() throws IOException {
		final int n = 64001;
		byte[] f1 = new byte[n];
		byte[] f2 = new byte[n];
		Arrays.fill(f1, NaN);
		Arrays.fill(f2, NaN);
		int n1 = readInt();
		for (int i = 0; i < n1; i++) {
			int a = readInt();
			int b = readInt();
			byte y = readByte();
			for (int j = a; j < b; j++) {
				f1[j + 32000] = y;
			}
		}
		int n2 = readInt();
		for (int i = 0; i < n2; i++) {
			int a = readInt();
			int b = readInt();
			byte y = readByte();
			for (int j = a; j < b; j++) {
				f2[j + 32000] = y;
			}
		}
		byte[] ans = new byte[n];
		Arrays.fill(ans, NaN);
		for (int i = 0; i < n; i++) {
			if (f1[i] == NaN) continue;
			if (f1[i] != NaN && f2[i] != NaN) continue;
			ans[i] = f1[i];
		}
		ArrayList<Integer> aa = new ArrayList<Integer>();
		ArrayList<Integer> bb = new ArrayList<Integer>();
		ArrayList<Integer> yy = new ArrayList<Integer>();
		for (int i = 0; i < n; i++) {
			if (ans[i] == NaN) continue;
			int a = i - 32000;
			while (ans[i] == ans[i + 1]) i++;
			int b = i - 32000 + 1;
			int y = ans[i];
			aa.add(a); bb.add(b); yy.add(y);
		}
		int count = aa.size();
		out.print(count);
		for (int i = 0; i < count; i++) {
			out.print(' ');
			out.print(aa.get(i));
			out.print(' ');
			out.print(bb.get(i));
			out.print(' ');
			out.print(yy.get(i));
		}
	}
	
}
