
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1125 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1125()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int[][] a;
	boolean[][] b;
	int m, n;
	int[] x = new int[2500];
	int[] y = new int[2500];
	final int xySize = initAllSquareNumbers();
	final boolean B = false, W = true;
	
	int initAllSquareNumbers() {
		int n = 0;
		for (int i = 0; i < 50; i++) {
			for (int j = 0; j <= i; j++) {
				int k = i * i + j * j;
				if (floor(sqrt(k)) == sqrt(k)) {
					x[n] = i;
					y[n] = j;
					n++;
				}
			}
		}
		return n;
	}
	
	void changeAll(int xx, int yy) {
		change(xx, yy);
		for (int i = 1; i < xySize; i++) {
			int dx = x[i], dy = y[i];
			if (dx == 0 && dy == 0) continue;
			if (xx - dx >= 0 && yy - dy >= 0)
				change(xx - dx, yy - dy);
			if (xx - dx >= 0 && yy + dy < n && dy != 0)
				change(xx - dx, yy + dy);
			if (xx + dx < m && yy - dy >= 0)
				change(xx + dx, yy - dy);
			if (xx + dx < m && yy + dy < n && dy != 0)
				change(xx + dx, yy + dy);
			if (xx - dy >= 0 && yy - dx >= 0)
				change(xx - dy, yy - dx);
			if (xx - dy >= 0 && yy + dx < n)
				change(xx - dy, yy + dx);
			if (xx + dy < m && yy - dx >= 0 && dy != 0)
				change(xx + dy, yy - dx);
			if (xx + dy < m && yy + dx < n && dy != 0)
				change(xx + dy, yy + dx);
		}
	}
	
	void change(int x, int y) {
		b[x][y] = !b[x][y];
	}
	
	void printMatrix() {
		for (int i = 0; i < m; i++) {
			for (int j = 0; j < n; j++) {
				out.print((b[i][j] == W) ? 'W' : 'B');
			}
			out.println();
		}
	}
	
	void solve() throws IOException {
		m = readInt();
		n = readInt();
		b = new boolean[m][n];
		final boolean B = false, W = true;
		for (int i = 0; i < m; i++) {
			String s = readString();
			for (int j = 0; j < n; j++) {
				b[i][j] = (s.charAt(j) == 'W') ? W : B;
			}
		}
		a = new int[m][n];
		for (int i = 0; i < m; i++) {
			for (int j = 0; j < n; j++) {
				a[i][j] = readInt() % 2;
			}
		}
		for (int i = 0; i < m; i++) {
			for (int j = 0; j < n; j++) {
				if(a[i][j] == 1) changeAll(i, j);
			}
		}
		printMatrix();
	}
	
}
