
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1126 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1126()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Sqrt {
		int[] a;
		int[] b;
		int n, k;
		Sqrt(int[] array, int n) {
			this.n = n;
			k = (int) sqrt(n);
			a = new int[n];
			b = new int[n / k + 1];
			Arrays.fill(b, Integer.MIN_VALUE);
			for (int i = 0; i < n; i++) {
				a[i] = array[i];
				b[i / k] = max(b[i / k], array[i]);
			}
		}
		int getMax(int left, int right) {
			int L = left / k + 1;
			int R = right / k - 1;
			int maxValue = Integer.MIN_VALUE;
			if (L > R) {
				for (int i = left; i <= right; i++) {
					maxValue = max(maxValue, a[i]);
				}
			} else {
				for (int i = left; i < k * L; i++) {
					maxValue = max(maxValue, a[i]);
				}
				for (int i = L; i <= R; i++) {
					maxValue = max(maxValue, b[i]);
				}
				for (int i = k * (R + 1); i <= right; i++) {
					maxValue = max(maxValue, a[i]);
				}
			}
			return maxValue;
		}
	}
	
	void solve() throws IOException {
		int m = readInt();
		final int maxN = 25000;
		int[] a = new int[maxN];
		int c = readInt();
		int n = 0;
		while (c != -1) {
			a[n++] = c;
			c = readInt();
		}
		Sqrt t = new Sqrt(a, n);
		for (int i = 0; i < n - m + 1; i++) {
			out.println(t.getMax(i, i + m - 1));
		}
	}
	
}
