
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1149 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1149()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	StringBuilder s = new StringBuilder();
	
	void solve() throws IOException {
		int n = readInt();
		out.println(S(n));
	}
	
	StringBuilder A(int n) {
		StringBuilder s = new StringBuilder();
		for (int i = 1; i <= n; i++) {
			s.append("sin(");
			s.append(i);
			if (i != n) s.append(i % 2 == 0 ? '+' : '-');
		}
		for (int i = 1; i <= n; i++) {
			s.append(')');
		}
		return s;
	}
	
	StringBuilder S(int n) {
		StringBuilder s = new StringBuilder();
		for (int i = 1; i <= n - 1; i++) {
			s.append('(');
		}
		for (int i = 1; i <= n; i++) {
			s.append(A(i));
			s.append('+');
			s.append(n - i + 1);
			if (i != n) s.append(')');
		}
		return s;
	}
	
}
