
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1152 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1152()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int n;
	int[] a;
	int[] d, sum;
	int ALL;
	final int INF = 1000 * 1000;
	
	void calcSums() {
		sum = new int[ALL + 1];
		for (int mask = ALL; mask >= 0; mask--) {
			for (int i = 0; i < n; i++) {
				if ((mask & (1 << i)) != 0) {
					sum[mask] += a[i];
				}
			}
		}
	}
	
	void solve() throws IOException {
		n = readInt();
		a = new int[n];
		for (int i = 0; i < n; i++) {
			a[i] = readInt();
		}
		ALL = (1 << n) - 1;
		calcSums();
		d = new int[ALL + 1];
		Arrays.fill(d, INF);
		d[ALL] = 0;
		dfs(ALL);
		out.println(d[0]);
	}
	
	int getMask(int mask, int beginIndex) {
		for (int i = beginIndex; i < beginIndex + 3; i++) {
			mask &= (ALL ^ (1 << (i % n)));
		}
		return mask;
	}
	
	void dfs(int from) {
		if (from == 0) return;
		for (int i = 0; i < n; i++) {
			int to = getMask(from, i);
			if (d[to] > d[from] + sum[to]) {
				d[to] = d[from] + sum[to];
				dfs(to);
			}
		}
	}
	
}
