
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1153 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1153()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	final BigInteger TWO = BigInteger.valueOf(2);
	BigInteger sum;
	
	int isRoot(BigInteger n) {
		return (n.multiply(n.add(BigInteger.ONE))).divide(TWO).compareTo(sum);
	}
	
	void solve() throws IOException {
		sum = new BigInteger(in.readLine());
		BigInteger left = BigInteger.ONE;
		BigInteger right = sum.divide(TWO).add(BigInteger.ONE);
		BigInteger m;
		while (!left.equals(right)) {
			m = (left.add(right)).divide(TWO);
			int comp = isRoot(m);
			if (comp == 0) {
				out.println(m);
				return;
			}
			if (comp > 0) {
				right = m;
			} else {
				left = m.add(BigInteger.ONE);
			}
		}
		out.println(left);
	}

}
