
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1208 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1208()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		HashSet<String>[] names = new HashSet[n];
		for (int i = 0; i < n; i++) {
			names[i] = new HashSet<String>(3);
			for (int j = 0; j < 3; j++) {
				String s = readString();
				names[i].add(s);
			}
		}
		boolean[][] b = new boolean[n][n];
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < i; j++) {
				b[i][j] = true;
				for (String s : names[i]) {
					if (names[j].contains(s)) {
						b[i][j] = false;
						break;
					}
				}
			}
		}
		final int maxN = (1 << n) - 1;
		int ans = Integer.MIN_VALUE;
next: 	for (int mask = maxN; mask > 0; mask--) {
			for (int i = 0; i < n; i++) {
				for (int j = 0; j < i; j++) {
					if ((mask & (1 << i)) == 0 || (mask & (1 << j)) == 0) continue;
					if (!b[i][j]) continue next;
				}
			}
			ans = max(ans, bitCount(mask, n));
		}
		out.println(ans);
	}
	
	int bitCount(int mask, int n) {
		int ans = 0;
		for (int i = 0; i < n; i++) {
			if ((mask & (1 << i)) != 0) ans++;
		}
		return ans;
	}
	
}

