
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1224 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1224()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	final int INF = 0;
	
	long[][] simpleAnswers = {
			{0, 0, 2},
			{1, 0, 1},
			{3, 0, 2},
	};
	
	long getSimpleAnswer(long d, long h) {
		return simpleAnswers[(int) ((d <= 2) ? d : INF)]
		                    [(int) ((h <= 2) ? h : INF)];
	}
	
	void solve() throws IOException {
		int h = readInt();
		int d = readInt();
		if (min(d, h) <= 2) {
			out.println(getSimpleAnswer(d, h));
			return;
		}
		int dd = (d - 1) % 2 == 0 ? 1 : 2;
		int hh = (h - 1) % 2 == 0 ? 1 : 2;
		long p = min((d - dd) / 2, (h - hh) / 2);
		long ans = 4 * p;
		ans += getSimpleAnswer(d - 2 * p, h - 2 * p);
		out.println(ans);
	}
	
}
