
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1225 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1225()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		if (n <= 2) {
			out.println(2);
			return;
		}
		final int W = 0, B = 1, R = 2;
		long[][][] d = new long[n + 1][3][3];
		d[2][W][B] = 1; d[2][W][R] = 1;
		d[2][R][W] = 1; d[2][R][B] = 1;
		for (int i = 3; i <= n; i++) {
			d[i][W][W] = 0;
			d[i][W][B] = d[i - 1][B][W] + d[i - 1][R][W];
			d[i][W][R] = d[i - 1][B][W] + d[i - 1][R][W];
			d[i][B][W] = d[i - 1][R][B];
			d[i][B][B] = 0;
			d[i][B][R] = d[i - 1][W][B];
			d[i][R][W] = d[i - 1][W][R] + d[i - 1][B][R];
			d[i][R][B] = d[i - 1][W][R] + d[i - 1][B][R];
			d[i][R][R] = 0;
		}
		long ans = 0;
		for (int i = 0; i < 3; i++) {
			ans += d[n][i][W] + d[n][i][R];
		}
		out.println(ans);
	}
	
}
