
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1236 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1236()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		String aString = in.readLine();
		String bString = in.readLine();
		int n = aString.length() / 2;
		int[] a = new int[n];
		int[] b = new int[n + 1];
		String s;
		for (int i = 0; i < n; i++) {
			s = aString.substring(i*2, (i+1)*2);
			a[i]=Integer.parseInt(s, 16);
		}
		for (int i = 0; i < n + 1; i++) {
			s = bString.substring(i*2, (i+1)*2);
			b[i]=Integer.parseInt(s, 16);
		}
		
		int[] k = new int[n + 1];
		k[0] = ' ' ^ b[0];
		for (int i = 1; i < n + 1; i++) {
			k[i] = a[i - 1] ^ k[i - 1] ^ b[i];
		}
		for (int i = 0; i < n + 1; i++) {
			if (k[i] < 16) out.print(0);
			out.printf("%X", k[i]);
		}
	}
	
}
