
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1261 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1261()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		final int count = 16;
		int[] a = new int[count];
		a[0] = 1;
		for (int i = 1; i < count; i++) {
			a[i] = 3 * a[i - 1];
		}
		int size = 1 << count;
		int[] d = new int[size];
		int k = 0;
		for (int i = 0; i < count; i++) {
			int c = a[i];
			for (int j = 0; j < (1 << i); j++) {
				d[++k] = d[j] + c;
			}
		}
		for (int i = 1; i < size; i++) {
			int c = d[i];
			int index = Arrays.binarySearch(d, c + n);
			if (index > 0) {
				out.println((c + n) + " " + c);
				return;
			}
		}
		out.println(0);
	}
	
}
