
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1273 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1273()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Tie implements Comparable<Tie> {
		int y1, y2;
		Tie(int y1, int y2) {
			this.y1 = y1;
			this.y2 = y2;
		}
		@Override
		public int compareTo(Tie t) {
			return this.y1 > t.y1 ? 1 : -1;
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		if (n == 0) {
			out.println(0);
			return;
		}
		Tie[] t = new Tie[n];
		for (int i = 0; i < n; i++) {
			int y1 = readInt();
			int y2 = readInt();
			t[i] = new Tie(y1, y2);
		}
		Arrays.sort(t);
		int[] a = new int[n];
		for (int i = 0; i < n; i++) {
			a[i] = t[i].y2;
		}
		
		int[] d = new int[n + 1];
		d[1] = a[0];
		int len = 1;
		for (int i = 1; i < n; i++) {
			if (a[i] > d[len]) {
				len++;
				d[len] = a[i];
			} else {
				int left = 1, right = len;
				while (left != right) {
					int m = (left + right) / 2;
					if (a[i] < d[m]) right = m;
					else left = m + 1;
				}
				if (a[i] < d[left]) d[left] = a[i];
			}
		}
		out.println(n - len);
	}
	
}
