
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1280 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1280()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int n, m;
	ArrayList<Integer>[] graph;
	int[] d;
	
	void solve() throws IOException {
		n = readInt();
		m = readInt();
		graph = new ArrayList[n];
		for (int i = 0; i < n; i++) {
			graph[i] = new ArrayList<Integer>();
		}
		for (int i = 0; i < m; i++) {
			int from = readInt() - 1;
			int to = readInt() - 1;
			graph[from].add(to);
		}
		int[] a = new int[n];
		for (int i = 0; i < n; i++) {
			a[i] = readInt() - 1;
		}
		d = new int[n];
		for (int i = 0; i < n; i++) {
			d[a[i]] = i;
		}
		boolean ans = true;
		for (int i = 0; i < n; i++) {
			ans &= check(i);
		}
		out.println(ans ? "YES" : "NO");
	}
	
	boolean check(int v) {
		for (Integer next : graph[v]) {
			if (d[v] > d[next]) return false;
		}
		return true;
	}
}
