
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1298 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1298()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int n;
	int[][] b;
	int sum;
	boolean ok = false;
	
	final int[][] d = {
			{2, 1, 2, 1, -2, -1, -2, -1},
			{1, 2, -1, -2, 1, 2, -1, -2}
	};
	
	void clear() {
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < n; j++) {
				b[i][j] = 0;
			}
		}
	}
	
	void solve() throws IOException {
		n = readInt();
		b = new int[n][n];
		for (int i = 0; i < (n + 1) / 2; i++) {
			for (int j = 0; j <= i; j++) {
				clear();
				b[i][j] = 1;
				if (go(i, j)) {
					printAnswer();
					return;
				}
			}
		}
		out.println("IMPOSSIBLE");
	}
	
	boolean go(int x, int y) {
		if (b[x][y] == n * n) {
			ok = true;
			return true;
		}
		for (int m = 0; m < 8; m++) {
			for (int k = 0; k < 8; k++) {
				if (getPossibleMoves(x + d[0][k], y + d[1][k]) == m) {
					if (!ok) go(x, d[0][k], y, d[1][k]);
				}
			}
		}
		return ok;
	}
	
	int getPossibleMoves(int x, int y) {
		int ans = 0;
		for (int k = 0; k < 8; k++) {
			if (checkCell(x, d[0][k], y, d[1][k])) ans++;
		}
		return ans;
	}
	
	boolean checkCell(int x, int dx, int y, int dy) {
		return x + dx >= 0 && x + dx < n && y + dy >= 0 && y + dy < n &&
			b[x + dx][y + dy] == 0;
	}
	
	void go(int x, int dx, int y, int dy) {
		if (checkCell(x, dx, y, dy)) {
			b[x + dx][y + dy] = b[x][y] + 1;
			if (go(x + dx, y + dy)) return;
			b[x + dx][y + dy] = 0;
		}
	}
	
	void printAnswer() {
		for (int k = 1; k <= n * n; k++) {
			for (int i = 0; i < n; i++) {
				for (int j = 0; j < n; j++) {
					if (b[i][j] == k) {
						out.print((char) (i + 'a'));
						out.println(j + 1);
					}
				}
			}
		}
	}
}
