
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1313 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1313()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int n;
	int[][] a;
	LinkedList<Integer> values = new LinkedList<Integer>();
	
	void solve() throws IOException {
		n = readInt();
		a = new int[n][n];
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < n; j++) {
				a[i][j] = readInt();
			}
		}
		for (int i = 0; i < n; i++) {
			saveDiag(i, 0);
		}
		for (int j = 1; j < n; j++) {
			saveDiag(n - 1, j);
		}
		printList();
	}
	
	void saveDiag(int x, int y) {
		int i = x, j = y;
		while (i >= 0 && i < n && j >= 0 && j < n) {
			values.add(a[i--][j++]);
		}
	}
	
	void printList() {
		ListIterator<Integer> it = values.listIterator();
		out.print(it.next());
		while (it.hasNext()) {
			out.print(' ');
			out.print(it.next());
		}
	}
	
}
