
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1319 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1319()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int n;
	int[][] a;
	
	void solve() throws IOException {
		n = readInt();
		a =  new int[n][n];
		int d = 1;
		for (int j = n - 1; j >= 0; j--) {
			fillDiag(0, j, d);
			d += (n - j);
		}
		for (int i = 1; i < n; i++) {
			fillDiag(i, 0, d);
			d += (n - i);
		}
		printMatrix();
	}
	
	void fillDiag(int x, int y, int startValue) {
		int i = x, j = y, k = startValue;
		while (i >= 0 && i < n && j >= 0 && j < n) {
			a[i++][j++] = k++;
		}
	}
	
	void printMatrix() {
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < n - 1; j++) {
				out.print(a[i][j]);
				out.print(' ');
			}
			out.println(a[i][n - 1]);
		}
	}
	
}
