
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1334 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1334()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int[][] board = new int[8][8];
	final int WHITE = 1, BLACK = -1;
	
	void solve() throws IOException {
		for (int i = 1; i <= 32; i++) {
			String s = in.readLine();
			int x = s.charAt(0) - 'a';
			int y = s.charAt(1) - '0' - 1;
			board[x][y] = (i % 2 == 0) ? BLACK : WHITE;
			if (check()) {
				out.println(i);
				return;
			}
		}
		out.println("Draw");
	}
	
	boolean check() {
		boolean b = false;
		for (int y = 0; y <= 7; y++) {
			b |= checkDiagPos(7, y, y + 1);
		}
		for (int x = 6; x >= 0; x--) {
			b |= checkDiagPos(x, 7, x + 1);
		}
		for (int y = 0; y <= 7; y++) {
			b |= checkDiagNeg(0, y, y + 1);
		}
		for (int x = 1; x <= 7; x++) {
			b |= checkDiagNeg(x, 7, 8 - x);
		}
		return b;
	}
	
	boolean checkDiagPos(int x, int y, int length) {
		if (length <= 2) return false;
		for (int i = 0; i < length - 2; i++) {
			if (board[x][y] == WHITE && board[x - 1][y - 1] == BLACK && board[x - 2][y - 2] == 0) {
				return true;
			}
			if (board[x][y] == BLACK && board[x - 1][y - 1] == WHITE && board[x - 2][y - 2] == 0) {
				return true;
			}
			if (board[x][y] == 0 && board[x - 1][y - 1] == WHITE && board[x - 2][y - 2] == BLACK) {
				return true;
			}
			if (board[x][y] == 0 && board[x - 1][y - 1] == BLACK && board[x - 2][y - 2] == WHITE) {
				return true;
			}
			x--; y--;
		}
		return false;
	}
	
	boolean checkDiagNeg(int x, int y, int length) {
		if (length <= 2) return false;
		for (int i = 0; i < length - 2; i++) {
			if (board[x][y] == WHITE && board[x + 1][y - 1] == BLACK && board[x + 2][y - 2] == 0) {
				return true;
			}
			if (board[x][y] == BLACK && board[x + 1][y - 1] == WHITE && board[x + 2][y - 2] == 0) {
				return true;
			}
			if (board[x][y] == 0 && board[x + 1][y - 1] == WHITE && board[x + 2][y - 2] == BLACK) {
				return true;
			}
			if (board[x][y] == 0 && board[x + 1][y - 1] == BLACK && board[x + 2][y - 2] == WHITE) {
				return true;
			}
			x++; y--;
		}
		return false;
	}
	
}
