
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1348 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	double readDouble() throws IOException {
		tok.nextToken();
		return tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1348()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Point {
		double x, y;
		Point(double x, double y) {
			this.x = x;
			this.y = y;
		}
		double distanceTo(Point p) {
			return hypot(this.x - p.x, this.y - p.y);
		}
	}
	
	class Line {
		double a, b, c;
		Line(double a, double b, double c) {
			this.a = a;
			this.b = b;
			this.c = c;
		}
		Line(Point p1, Point p2) {
			a = p2.y - p1.y;
			b = p1.x - p2.x;
			c = p2.x * p1.y - p1.x * p2.y;
		}
		double getValue(Point p) {
			return a * p.x + b * p.y + c;
		}
		Line perpendicular(Point p) {
			double aa = -b;
			double bb = a;
			double cc = -aa * p.x - bb * p.y;
			return new Line(aa, bb, cc);
		}
		Point intersection(Line l) {
			double det = this.a * l.b - this.b * l.a;
			if (det == 0) return null;
			double det1 = -this.c * l.b + this.b * l.c;
			double det2 = -this.a * l.c + this.c * l.a;
			return new Point(det1 / det, det2 / det);
		}
	}
	
	void solve() throws IOException {
		Point a = new Point(readDouble(), readDouble());
		Point b = new Point(readDouble(), readDouble());
		Point c = new Point(readDouble(), readDouble());
		double l = readDouble();
		Locale.setDefault(Locale.US);
		
		double distToA = c.distanceTo(a);
		double distToB = c.distanceTo(b);
		Line ab = new Line(a, b);
		double ABlength = a.distanceTo(b);
		
		if (ab.getValue(c) == 0) {
			if (ABlength > distToA && ABlength > distToB) {
				out.printf("%.2f\n", 0.0);
				out.printf("%.2f\n", max(max(distToA, distToB) - l, 0.0));
			} else {
				out.printf("%.2f\n", max(min(distToA, distToB) - l, 0.0));
				out.printf("%.2f\n", max(max(distToA, distToB) - l, 0.0));
			}
			return;
		}		
		Line ch = ab.perpendicular(c);
		Point h = ab.intersection(ch);
		double distToH = c.distanceTo(h);
		double AHlength = a.distanceTo(h);
		double BHlength = b.distanceTo(h);
		if (ABlength > AHlength && ABlength > BHlength) {
			out.printf("%.2f\n", max(distToH - l, 0.0));
			out.printf("%.2f\n", max(max(distToA, distToB) - l, 0.0));
		} else {
			out.printf("%.2f\n", max(min(distToA, distToB) - l, 0.0));
			out.printf("%.2f\n", max(max(distToA, distToB) - l, 0.0));
		}
	}
	
}
