
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1350 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1350()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = Integer.parseInt(in.readLine());
		HashSet<String> set = new HashSet<String>();
		for (int i = 0; i < n; i++) {
			set.add(in.readLine());
		}
		int k = Integer.parseInt(in.readLine());
		int nk = Integer.parseInt(in.readLine());
		for (int i = 0; i < nk; i++) {
			set.remove(in.readLine());
		}
		n = set.size();
		
		ArrayList<HashSet<String>> a = new ArrayList<HashSet<String>>(k);
		for (int i = 0; i < k; i++) {
			a.add(new HashSet<String>());
			nk = Integer.parseInt(in.readLine());
			for (int j = 0; j < nk; j++) {
				a.get(i).add(in.readLine());
			}
		}
		int m = Integer.parseInt(in.readLine());
		for (int i = 0; i < k; i++) {
			if (m == 0) {
				out.println("YES");
				continue;
			}
			int count = 0;
			for (String s : a.get(i)) {
				if (set.contains(s)) count++;
			}
			if (count == 0) out.println("YES");
			else if (count > n - m) out.println("NO");
			else out.println("MAYBE");
		}
	}
	
}
