
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1351 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1351()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Point {
		int x, y;
		Point(int x, int y) {
			this.x = x;
			this.y = y;
		}
		double distance() {
			return hypot(x, y);
		}
	}
	
	class Line {
		int a, b, c;
		Line(int a, int b, int c) {
			this.a = a;
			this.b = b;
			this.c = c;
		}
		Line(Point p1, Point p2) {
			a = p2.y - p1.y;
			b = p1.x - p2.x;
			c = p2.x * p1.y - p1.x * p2.y;
		}
		double angle(Line l) {
			double a1 = this.a / hypot(this.a, this.b);
			double b1 = this.b / hypot(this.a, this.b);
			double a2 = l.a / hypot(l.a, l.b);
			double b2 = l.b / hypot(l.a, l.b);
			return acos(a1 * a2 + b1 * b2);
		}
	}

	void solve() throws IOException {
		int d = readInt();
		int x1 = readInt();
		int y1 = readInt();
		int x2 = readInt();
		int y2 = readInt();
		final Point zero = new Point(0, 0);
		Line l1 = new Line(zero, new Point(x1, y1));
		Line l2 = new Line(zero, new Point(x2, y2));
		
		int n = readInt();
		Point[] p = new Point[n];
		for (int i = 0; i < n; i++) {
			int x = readInt();
			int y = readInt();
			p[i] = new Point(x, y);
		}
		
		boolean[] dead = new boolean[n];
		Arrays.fill(dead, true);
		for (int i = 0; i < n; i++) {
			if (p[i].distance() > d) dead[i] = false;
		}
		final double eps = 10e-8;
		for (int i = 0; i < n; i++) {
			if (dead[i]) {
				Line l = new Line(zero, p[i]);
				double angle1 = l.angle(l1);
				double angle2 = l.angle(l2);
				if (angle1 + angle2 - l1.angle(l2) > eps) {
					dead[i] = false;
				}
			}
		}
		for (int i = 0; i < n; i++) {
			out.println(dead[i] ? "YES" : "NO");
		}
	}
	
}
