
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1398 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1398()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	boolean[][] b;
	
	void solve() throws IOException {
		String bishop = in.readLine();
		String pawn = in.readLine();
		if (	(bishop.equals("b1") && pawn.equals("a3")) ||
				(bishop.equals("g1") && pawn.equals("h3")) ||
				(bishop.equals("a2") && pawn.equals("b2")) ||
				(bishop.equals("h2") && pawn.equals("g2"))) {
			out.println("DRAW");
			return;
		}
		if (pawn.charAt(1) >= '3') {
			out.println("WHITE");
			return;
		}
		int bx = bishop.charAt(0) - 'a' + 1;
		int by = bishop.charAt(1) - '1' + 1;
		int px = pawn.charAt(0) - 'a' + 1;
		int py = pawn.charAt(1) - '1' + 1;
		b = new boolean[10][10];
		boolean whiteWins = false;
		b[bx][by] = true;
		if (bishopWins(px, py)) {
			whiteWins = true;
		}
		fillBishopDiags(bx, by);
		if (bishopWins(px, py - 1)) {
			whiteWins = true;
		}
		if (whiteWins) out.println("WHITE");
		else 		   out.println("BLACK");
	}
	
	void fillBishopDiags(int bx, int by) {
		for (int i = bx, j = by; i >= 1 && i <= 8 && j >= 1 && j <= 8; ) {
			b[i++][j++] = true;
		}
		for (int i = bx, j = by; i >= 1 && i <= 8 && j >= 1 && j <= 8; ) {
			b[i--][j++] = true;
		}
		for (int i = bx, j = by; i >= 1 && i <= 8 && j >= 1 && j <= 8; ) {
			b[i++][j--] = true;
		}
		for (int i = bx, j = by; i >= 1 && i <= 8 && j >= 1 && j <= 8; ) {
			b[i--][j--] = true;
		}
	}
	
	boolean bishopWins(int px, int py) {
		for (int i = px, j = py; i >= 1 && i <= 8 && j >= 1 && j <= 8; ) {
			if (b[i++][j++]) return true;
		}
		for (int i = px, j = py; i >= 1 && i <= 8 && j >= 1 && j <= 8; ) {
			if (b[i--][j++]) return true;
		}
		for (int i = px, j = py; i >= 1 && i <= 8 && j >= 1 && j <= 8; ) {
			if (b[i++][j--]) return true;
		}
		for (int i = px, j = py; i >= 1 && i <= 8 && j >= 1 && j <= 8; ) {
			if (b[i--][j--]) return true;
		}
		return false;
	}
	
}
