
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1402 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1402()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	final int maxN = 21;
	BigInteger[] fact = new BigInteger[maxN + 1];
	
	void calcFactorials() {
		fact[0] = BigInteger.ONE;
		for (int i = 1; i <= maxN; i++) {
			fact[i] = fact[i - 1].multiply(new BigInteger(Integer.toString(i)));
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		calcFactorials();
		BigInteger ans = BigInteger.ZERO;
		for (int k = 2; k <= n; k++) {
			ans = ans.add((fact[n].divide(fact[n - k])));
		}
		out.println(ans);
	}
	
}
