
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1407 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1407()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	BigInteger[] b = new BigInteger[101];
	
	void solve() throws IOException {
		int n = readInt();
		b[1] = BigInteger.valueOf(2);
		for (int i = 2; i <= n; i++) {
			b[i] = b[i - 1].multiply(b[1]);
		}
		BigInteger a = b[1];
		for (int i = 2; i <= n; i++) {
			BigInteger t = new BigInteger("1" + a.toString());
			if (t.mod(b[i]).equals(BigInteger.ZERO)) {
				a = t;
			} else {
				a = new BigInteger("2" + a.toString());
			}
		}
		out.println(a);
	}
	
}
