
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1423 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1423()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = Integer.parseInt(in.readLine());
		String s = in.readLine();
		String t = in.readLine();
		int[] p = prefix(s + s, t);
		int plen = p.length;
		for (int i = n + 1; i < plen; i++) {
			if (p[i] == n) {
				out.println((plen - i - 1) % n);
				return;
			}
		}
		out.println(-1);
	}
	
	int[] prefix(String text, String pattern) {
		String s = pattern + ((char) 0) + text;
		int n = s.length();
		int[] p = new int[n];
		p[0] = 0;
		for (int i = 1; i < n; i++) {
			int j = p[i - 1];
			while (j > 0 && s.charAt(i) != s.charAt(j))
				j = p[j - 1];
			if (s.charAt(i) == s.charAt(j))
				j++;
			p[i] = j;
		}
		return p;
	}
	
}
