
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1433 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1433()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}

	final int n = 12;
	
	int[][] p = {
			{1, 2, 3, 4},
			{2, 1, 4, 3},
			{3, 4, 1, 2},
			{4, 3, 2, 1},
			{2, 3, 1, 4},
			{3, 1, 2, 4},
			{2, 4, 3, 1},
			{4, 1, 3, 2},
			{3, 2, 4, 1},
			{4, 2, 1, 3},
			{1, 3, 4, 2},
			{1, 4, 2, 3},
	};
	
	void solve() throws IOException {
		String s1 = in.readLine();
		String s2 = in.readLine();
		String[] permutations = generatePermutations(s1);
		for (int i = 0; i < n; i++) {
			if (permutations[i].equals(s2)) {
				out.println("equal");
				return;
			}
		}
		out.println("different");
	}
	
	String[] generatePermutations(String s) {
		String[] res = new String[n];
		StringBuilder sb = new StringBuilder();
		char[] a = {s.charAt(0), s.charAt(1), s.charAt(2), s.charAt(3)};
		for (int i = 0; i < n; i++) {
			sb.append(a[p[i][0] - 1]).append(a[p[i][1] - 1]).
			   append(a[p[i][2] - 1]).append(a[p[i][3] - 1]);
			res[i] = sb.toString();
			sb.setLength(0);
		}
		return res;
	}
	
}
