
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1450 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1450()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Edge {
		int to;
		int cost;
		Edge(int to, int cost) {
			this.to = to;
			this.cost = cost;
		}
	}
	
	class Vertix implements Comparable<Vertix> {
		int index;
		int d;
		Vertix(int index, int d) {
			this.index = index;
			this.d = d;
		}
		@Override
		public int compareTo(Vertix v) {
			if (this.d > v.d) return 1;
			if (this.d < v.d) return -1;
			return 0;
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		int m = readInt();
		int[][] matrix = new int[n][n];
		for (int i = 0; i < m; i++) {
			int from = readInt() - 1;
			int to = readInt() - 1;
			int cost = readInt();
			matrix[from][to] = max(matrix[from][to], cost);
		}
		ArrayList<Edge>[] graph = new ArrayList[n];
		for (int i = 0; i < n; i++) {
			graph[i] = new ArrayList<Edge>();
			for (int j = 0; j < n; j++) {
				if (matrix[i][j] != 0) {
					graph[i].add(new Edge(j, matrix[i][j]));
				}
			}
		}
		int start = readInt() - 1;
		int finish = readInt() - 1;
		int[] d = new int[n];
		PriorityQueue<Vertix> q = new PriorityQueue<Vertix>();
		q.add(new Vertix(start, 0));
		while (!q.isEmpty()) {
			Vertix v = q.poll();
			int from = v.index;
			int dd = v.d;
			if (dd < d[from]) continue;
			for (Edge edge : graph[from]) {
				int to = edge.to;
				int cost = edge.cost;
				if (d[to] < d[from] + cost) {
					d[to] = d[from] + cost;
					q.add(new Vertix(to, d[to]));
				}
			}
		}
		if (d[finish] == 0) {
			out.println("No solution");
		} else {
			out.println(d[finish]);
		}
	}
	
}
