
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1491 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1491()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Sqrt {
		int[] a;
		int[] b;
		int n, k;
		Sqrt(int n) {
			this.n = n;
			a = new int[n];
			k = (int) sqrt(n);
			b = new int[n / k + 1];
		}
		void add(int left, int right, int value) {
			int L = left / k + 1;
			int R = right / k - 1;
			if (L > R) {
				for (int i = left; i <= right; i++) {
					a[i] += value;
				}
			} else {
				for (int i = left; i < k * L; i++) {
					a[i] += value;
				}
				for (int i = L; i <= R; i++) {
					b[i] += value;
				}
				for (int i = k * (R + 1); i <= right; i++) {
					a[i] += value;
				}
			}
		}
		int get(int index) {
			return a[index] + b[index / k];
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		Sqrt t = new Sqrt(n);
		for (int i = 0; i <= n; i++) {
			int a = readInt() - 1;
			int b = readInt() - 1;
			int c = readInt();
			t.add(a, b, c);
		}
		out.print(t.get(0));
		for (int i = 1; i < n; i++) {
			out.print(' ');
			out.print(t.get(i));
		}
	}
	
}
