
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1521 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1521()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Sqrt {
		int[] a;
		int[] b;
		int n, k;
		
		Sqrt(int n) {
			this.n = n;
			k = (int) sqrt(n);
			a = new int[n];
			Arrays.fill(a, 1);
			b = new int[n / k + 1];
			for (int i = 0; i < b.length - 1; i++) {
				b[i] = k;
			}
			b[b.length - 1] = n % k;
		}
		
		void dec(int index) {
			index %= n;
			a[index]--;
			b[index / k]--;
		}
		
		int getLastIndexOpposite(int startIndex) {
			int R = startIndex / k - 1;
			for (int i = startIndex - 1; i >= k * (R + 1); i--) {
				if (a[i] != 0) {
					dec(i);
					return i;
				}
			}
			for (int i = R; i >= 0; i--) {
				if (b[i] > 0) {
					for (int j = k * (i + 1) - 1; j >= k * i; j--) {
						if (a[j] != 0) {
							dec(j);
							return j;
						}
					}
				}
			}
			return getLastIndexOpposite(n);
		}
		
		int getIndex(int startIndex, int sum) {
			if (sum == 0) {
				return getLastIndexOpposite(startIndex);
			}
			int s = 0;
			int L = startIndex / k + 1;
			int R = n / k - 1;
			if (L > R) {
				for (int i = startIndex; i < n; i++) {
					s += a[i];
					if (s == sum) {
						dec(i);
						return i;
					}
				}
			} else {
				for (int i = startIndex; i < k * L; i++) {
					s += a[i];
					if (s == sum) {
						dec(i);
						return i;
					}
				}
				for (int i = L; i <= R; i++) {
					s += b[i];
					if (s >= sum) {
						for (int j = k * (i + 1) - 1; j >= k * i; j--) {
							if (s == sum && a[j] != 0) {
								dec(j);
								return j;
							}
							s -= a[j];
						}
					}
				}
				for (int i = k * (R + 1); i < n; i++) {
					s += a[i];
					if (s == sum) {
						dec(i);
						return i;
					}
				}
			}
			return getIndex(0, sum - s);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		int m = readInt();
		Sqrt t = new Sqrt(n);
		int[] ans = new int[n];
		int k = 0;
		for (int i = 0; i < n; i++) {
			int sum = m % (n - i);
			k = t.getIndex(k, sum);
			ans[i] = k + 1;
		}
		out.print(ans[0]);
		for (int i = 1; i < n; i++) {
			out.print(' ');
			out.print(ans[i]);
		}
	}
	
}
