
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1572 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1572()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Shape implements Comparable<Shape> {
		int type;
		double max, min;
		Shape(int type, double a) {
			switch (type) {
			case 1:
				min = 2 * a;
				max = 2 * a;
				break;
			case 2:
				min = a;
				max = a * sqrt(2);
				break;
			case 3:
				min = a * sqrt(3) / 2;
				max = a;
				break;
			}
		}
		@Override
		public int compareTo(Shape s) {
			return this.max >= s.min ? 1 : -1;
		}
	}
	
	void solve() throws IOException {
		Shape a = new Shape(readInt(), readInt());
		int n = readInt();
		Shape[] sh = new Shape[n];
		for (int i = 0; i < n; i++) {
			sh[i] = new Shape(readInt(), readInt());
		}
		int count = 0;
		for (int i = 0; i < n; i++) {
			if (a.compareTo(sh[i]) == 1) count++;
		}
		out.println(count);
	}
	
}
