
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1576 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1576()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n1 = readInt();
		int c1 = readInt();
		int n2 = readInt();
		int t = readInt();
		int c2 = readInt();
		int n3 = readInt();
		int k = readInt();
		int basic = n1, combined = n2, unlimited = n3;
		in.readLine();
		for (int i = 0; i < k; i++) {
			int time = getTime(in.readLine());
			basic += time * c1;
			if (t - time >= 0) {
				t -= time;
			} else {
				combined += (time - t) * c2;
				t = 0;
			}
		}
		out.println("Basic:     " + basic);
		out.println("Combined:  " + combined);
		out.println("Unlimited: " + unlimited);
	}
	
	int getTime(String s) {
		int minutes = Integer.parseInt(s.substring(0, 2));
		int seconds = Integer.parseInt(s.substring(3, 5));
		if (minutes == 0 && seconds <= 6) return 0;
		if (seconds == 0) {
			return minutes;
		} else {
			return minutes + 1;
		}
	}
	
}
