
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1586 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1586()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	boolean[] primes;
	
	void calcPrimes() {
		primes = new boolean[1000];
		Arrays.fill(primes, true);
		primes[0] = false; primes[1] = false;
		for (int i = 2; i < 1000; i++) {
			if (primes[i]) {
				for (int k = i * i; k < 1000; k += i) {
					primes[k] = false;
				}
			}
		}
	}
	
	void solve() throws IOException {
		calcPrimes();
		final long p = 1000 * 1000 * 1000 + 9;
		int n = readInt();
		long[][] d = new long[n + 1][100];
		for (int k = 100; k < 1000; k++) {
			if (primes[k]) {
				d[3][k % 100]++;
			}
		}
		for (int i = 4; i <= n; i++) {
			for (int k = 10; k < 100; k++) {
				for (int j = 0; j < 10; j++) {
					int mid = k % 10;
					if (primes[k * 10 + j]) {
						d[i][mid * 10 + j] = (d[i][mid * 10 + j] + d[i - 1][k]) % p;
					}
				}
			}
		}
		long ans = 0;
		for (int i = 0; i < 100; i++) {
			ans = (ans + d[n][i]) % p;
		}
		out.println(ans);
	}
	
}
