
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1588 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1588()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int onTheSameLine(int x1, int y1, int x2, int y2, int x3, int y3) {
		if ((x3 - x1) * (y2 - y1) == (y3 - y1) * (x2 - x1)) {
			if ((x2 < x1 && x1 < x3) || (y2 < y1 && y1 < y3) ||
				(x2 > x1 && x1 > x3) || (y2 > y1 && y1 > y3)) return 1;
			if ((x1 < x2 && x2 < x3) || (y1 < y2 && y2 < y3) ||
				(x1 > x2 && x2 > x3) || (y1 > y2 && y2 > y3)) return 2;
			return 3;
		}
		return 0;
	}
	
	double distance(int x1, int y1, int x2, int y2) {
		return sqrt((x2 - x1) * (x2 - x1) + (y2 - y1) * (y2 - y1));
	}
	
	void solve() throws IOException {
		int n = readInt();
		int[] x = new int[n];
		int[] y = new int[n];
		for (int i = 0; i < n; i++) {
			x[i] = readInt();
			y[i] = readInt();
		}
		boolean[][] toDestroy = new boolean[n][n];
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < i; j++) {
				for (int k = 0; k < j; k++) {
					int result = onTheSameLine(x[i], y[i], x[j], y[j], x[k], y[k]);
					switch (result) {
					case 1:
						toDestroy[j][k] = true;
						break;
					case 2:
						toDestroy[i][k] = true;
						break;
					case 3:
						toDestroy[i][j] = true;
						break;
					}
				}
			}
		}
		double ans = 0;
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < i; j++) {
				if (!toDestroy[i][j]) {
					ans += distance(x[i], y[i], x[j], y[j]);
				}
			}
		}
		out.println(round(ans));
	}
	
}
