
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1603 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1603()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	char[][] a = new char[4][4];
	boolean visited[][] = new boolean[4][4];
	char[] word;
	int n;
	
	void solve() throws IOException {
		for (int i = 0; i < 4; i++) {
			a[i] = in.readLine().toCharArray();
		}
		int testCount = Integer.parseInt(in.readLine());
next:	for (int testCounter = 0; testCounter < testCount; testCounter++) {
			word = in.readLine().toCharArray();
			n = word.length;
			printWord();
			out.print(": ");
			for (int i = 0; i < 4; i++) {
				for (int j = 0; j < 4; j++) {
					clearVisited();
					if (dfs(i, j, 0)) {
						out.println("YES");
						continue next;
					}
				}
			}
			out.println("NO");
		}
	}
	
	void printWord() {
		for (int i = 0; i < n; i++) {
			out.print(word[i]);
		}
	}
	
	void clearVisited() {
		for (int i = 0; i < 4; i++) {
			Arrays.fill(visited[i], false);
		}
	}
	
	boolean dfs(int x, int y, int pos) {
		if (a[x][y] != word[pos]) return false;
		if (pos == n - 1) return true;
		visited[x][y] = true;
		boolean b = false;
		if (x + 1 < 4 && !visited[x + 1][y]) {
			b |= dfs(x + 1, y, pos + 1);
			visited[x + 1][y] = false;
		}
		if (b) return true;
		if (x - 1 >= 0 && !visited[x - 1][y]) {
			b |= dfs(x - 1, y, pos + 1);
			visited[x - 1][y] = false;
		}
		if (b) return true;
		if (y + 1 < 4 && !visited[x][y + 1]) {
			b |= dfs(x, y + 1, pos + 1);
			visited[x][y + 1] = false;
		}
		if (b) return true;
		if (y - 1 >= 0 && !visited[x][y - 1]) {
			b |= dfs(x, y - 1, pos + 1);
			visited[x][y - 1] = false;
		}
		return b;
	}
	
}
