
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1612 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1612()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	StringTokenizer stringTok;
	
	String nextToken() throws IOException {
		while (stringTok == null || !stringTok.hasMoreTokens()) {
			stringTok = new StringTokenizer(in.readLine());
		}
		return stringTok.nextToken(" \n.,-:!?");
	}
	
	void solve() throws IOException {
		int tram = 0;
		int trolleybus = 0;
		String s;
		try {
			while (true) {
				s = nextToken();
				if (s.equals("tram")) tram++;
				else if (s.equals("trolleybus")) trolleybus++;
			}
		} catch (NullPointerException e) {
		}
		if (tram == trolleybus) s = "Bus driver";
		else if (tram > trolleybus) s = "Tram driver";
		else s = "Trolleybus driver";
		out.println(s);
	}
	
}
