
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1633 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	long readLong() throws IOException {
		tok.nextToken();
		return (long) tok.nval;
	}
	
	double readDouble() throws IOException {
		tok.nextToken();
		return tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1633()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	long a1, a2, b1, b2;
	long aa, bb, ab;
	
	double f(double A, double B) {
		return sqrt((aa * A * A) + (2 * ab * A * B) + (bb * B * B));
	}
	
	void solve() throws IOException {
		a1 = readLong();
		b1 = readLong();
		a2 = readLong();
		b2 = readLong();
		aa = a1 * a1 + a2 * a2;
		bb = b1 * b1 + b2 * b2;
		ab = a1 * b1 + a2 * b2;
		if (aa == bb) {
			double ans = sqrt(aa + ab);
			out.println(ans);
			return;
		}
		double alpha = 0.5 * atan2(2 * ab, bb - aa);
		double ans = f(sin(alpha), cos(alpha));
		out.println(ans);
	}
	
}
