
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1656 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1656()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	int[] a;
	int[][] b;
	int n;
	
	void solve() throws IOException {
		n = readInt();
		a = new int[n * n];
		for (int i = 0; i < n * n; i++) {
			a[i] = readInt();
		}
		Arrays.sort(a);
		b = new int[n][n];
		int k = n * n - 1;
		for (int i = n / 2; i < n; i++) {
			fillRow(i, k);
			k -= n;
		}
		for (int i = n / 2 - 1; i >= 0; i--) {
			fillRow(i, k);
			k -= n;
		}
		printMatrix();
	}
	
	void fillRow(int rowIndex, int arrIndex) {
		int k = arrIndex;
		for (int j = n / 2; j < n; j++) {
			b[rowIndex][j] = a[k--];
		}
		for (int j = n / 2 - 1; j >= 0; j--) {
			b[rowIndex][j] = a[k--];
		}
	}
	
	void printMatrix() {
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < n - 1; j++) {
				out.print(b[i][j]);
				out.print(' ');
			}
			out.println(b[i][n - 1]);
		}
	}
	
}
