
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1658 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1658()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	final int n1 = 900 + 1;
	final int n2 = 8100 + 1;
	int[][] d;
	final int WRONG = Integer.MAX_VALUE / 2;
	
	void initArray() {
		d = new int[n1][n2];
		for (int i = 0; i < n1; i++) {
			for (int j = 0; j < n2; j++) {
				d[i][j] = WRONG;
			}
		}
		d[0][0] = 0;
		for (int i = 0; i < n1; i++) {
			for (int j = 0; j < n2; j++) {
				if (d[i][j] != WRONG) {
					for (int k = 1; k <= 9; k++) {
						if (i + k < n1 && j + k * k < n2) {
							d[i + k][j + k * k] = min(d[i + k][j + k * k], d[i][j] + 1);
						}
					}
				}
			}
		}
	}
	
	void solve() throws IOException {
		initArray();
		int testCount = readInt();
		for (int testCounter = 0; testCounter < testCount; testCounter++) {
			int s1 = readInt();
			int s2 = readInt();
			out.println(getAnswer(s1, s2));
		}
	}
	
	String getAnswer(int s1, int s2) {
		if (s1 >= n1 || s2 >= n2 || d[s1][s2] == WRONG) {
			return "No solution";
		}
		ArrayList<Integer> arr = new ArrayList<Integer>(100);
		int i = s1, j = s2;
		while (i > 0 && j > 0 && d[i][j] != WRONG) {
			int bestK = -1, bestCount = WRONG - 1;
			for (int k = 1; k <= 9; k++) {
				if (i - k >= 0 && j - k * k >= 0 &&
						d[i - k][j - k * k] < bestCount) {
					bestK = k;
					bestCount = d[i - k][j - k * k];
				}
			}
			arr.add(bestK);
			if (arr.size() > 100) {
				return "No solution";
			}
			i -= bestK;
			j -= (bestK * bestK);
		}
		if (i == 0 && j == 0 && d[i][j] != WRONG) {
			Collections.sort(arr);
			StringBuilder sb = new StringBuilder();
			int n = arr.size();
			for (int k = 0; k < n; k++) sb.append(arr.get(k));
			return sb.toString();
		} else {
			return "No solution";
		}
	}
	
}
