
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1659 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	double readDouble() throws IOException {
		tok.nextToken();
		return tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1659()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		double[] x = new double[9];
		double[] y = new double[9];
		for(int i = 1; i <= 3; i++) {
			x[i] = readDouble();
			y[i] = readDouble();
		}
		x[0] = (x[1] + x[2] + x[3]) / 3;
		y[0] = (y[1] + y[2] + y[3]) / 3;
		
		x[4] = x[1] + x[2] - x[0];
		y[4] = y[1] + y[2] - y[0];
		x[5] = x[1] + x[3] - x[0];
		y[5] = y[1] + y[3] - y[0];
		x[6] = x[2] + x[3] - x[0];
		y[6] = y[2] + y[3] - y[0];
		                
		x[7] = x[0] - 0.5;
		y[7] = y[0] - sqrt(3) / 2;
		x[8] = x[0] + 0.5;
		y[8] = y[0] - sqrt(3) / 2;
		
		for (int i = 9; i >= 4; i--) {
			out.println(x[i % 9] + " " + y[i % 9]);
		}
	}
	
}
