
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1698 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1698()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	BigInteger a = BigInteger.valueOf(5);
	BigInteger b = BigInteger.valueOf(6);
	
	BigInteger m = BigInteger.ONE;
	BigInteger m10 = BigInteger.TEN;
	
	int ans = 3;
	
	void solve() throws IOException {
		int n = readInt();
		for (int i = 2; i <= n; i++) {
			m = m.multiply(BigInteger.TEN);
			m10 = m10.multiply(BigInteger.TEN);
			go5();
			go6();
		}
		out.println(ans);
	}
	
	void go5() {
		BigInteger sq = a.pow(2).mod(m10);
		int p = sq.divide(m).intValue();
		for (int k = 1; k <= 9; k++) {
			int pp = (p + (2 * ((k * 5) % 10))) % 10;
			if (pp == k) {
				ans++;
				a = a.add(m.multiply(BigInteger.valueOf(k)));
				return;
			}
		}
	}
	
	void go6() {
		BigInteger sq = b.pow(2).mod(m10);
		int p = sq.divide(m).intValue();
		for (int k = 1; k <= 9; k++) {
			int pp = (p + (2 * ((k * 6) % 10))) % 10;
			if (pp == k) {
				ans++;
				b = b.add(m.multiply(BigInteger.valueOf(k)));
				return;
			}
		}
	}
	
}
