
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1700 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1700()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = Integer.parseInt(in.readLine());
		TreeMap<String, TreeSet<String>> map = new TreeMap<String, TreeSet<String>>();
		for (int i = 0; i < n; i++) {
			String[] str = in.readLine().split(" |: ");
			int m = str.length;
			if (!map.containsKey(str[0])) {
				TreeSet<String> set = new TreeSet<String>();
				for (int j = 1; j < m; j++) {
					set.add(str[j]);
				}
				map.put(str[0], set);
			} else {
				TreeSet<String> set = map.get(str[0]);
				for (int j = 1; j < m; j++) {
					set.add(str[j]);
				}
			}
		}
		n = Integer.parseInt(in.readLine());
		for (int i = 0; i < n; i++) {
			String[] str = in.readLine().split(" ");
			TreeSet<String> set = new TreeSet<String>();
			int m = str.length;
			set.addAll(map.get(str[0]));
			for (int j = 1; j < m; j++) {
				set.retainAll(map.get(str[j]));
			}
			if (set.size() == 0) {
				out.println("No solution.");
			} else {
				Iterator<String> it = set.iterator();
				out.print(it.next());
				while (it.hasNext()) {
					out.print(' ');
					out.print(it.next());
				}
				out.println();
			}
		}
	}
	
}
