
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1710 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1710()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int ax = 2 * readInt(); int ay = 2 * readInt();
		int bx = 2 * readInt(); int by = 2 * readInt();
		int cx = 2 * readInt(); int cy = 2 * readInt();
		int abab = (ax - bx) * (ax - bx) + (ay - by) * (ay - by);
		int acac = (ax - cx) * (ax - cx) + (ay - cy) * (ay - cy);
		int bcbc = (bx - cx) * (bx - cx) + (by - cy) * (by - cy);
		if (abab <= bcbc || abab == acac + bcbc) {
			out.println("YES");
			return;
		}
		double ab = sqrt(abab);
		double ac = sqrt(acac);
		double bc = sqrt(bcbc);
		double p = (ab + bc + ac) / 2;
		double s = round(sqrt(p * (p - ab) * (p - bc) * (p - ac)));
		double bh = 2 * s / ac;
		double ch = sqrt(bc * bc - bh * bh);
		out.println("NO");
		double px, py;
		if (abab > acac + bcbc) {
			px = (2 * ch / ac) * (cx - ax) + cx;
			py = (2 * ch / ac) * (cy - ay) + cy;
		} else {
			px = (-2 * ch / ac) * (cx - ax) + cx;
			py = (-2 * ch / ac) * (cy - ay) + cy;
		}
		out.println((ax / 2) + " " + (ay / 2));
		out.println((bx / 2) + " " + (by / 2));
		out.println((px / 2) + " " + (py / 2));
	}
	
}

