
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1711 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1711()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		HashMap<Integer, TreeSet<String>> map = new HashMap<Integer, TreeSet<String>>();
		for (int i = 1; i <= n; i++) {
			TreeSet<String> set = new TreeSet<String>();
			for (int j = 0; j < 3; j++) {
				String str = readString();
				set.add(str);
			}
			map.put(i, set);
		}
		String[] ans = new String[n];
		int number = readInt();
		ans[0] = map.get(number).first();
		for (int i = 2; i <= n; i++) {
			number = readInt();
			ans[i - 1] = map.get(number).higher(ans[i - 2]);
			if (ans[i - 1] == null) {
				out.println("IMPOSSIBLE");
				return;
			}
		}
		for (int i = 0; i < n; i++) {
			out.println(ans[i]);
		}
	}
	
}
