
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1712 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1712()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	final int n = 4;
	int[][] d = new int[n][n];
	char[][] c = new char[n][n];
	
	void solve() throws IOException {
		for (int i = 0; i < n; i++) {
			String s = in.readLine();
			for (int j = 0; j < n; j++) {
				d[i][j] = (s.charAt(j) == 'X' ? 1 : 0);
			}
		}
		for (int i = 0; i < n; i++) {
			String s = in.readLine();
			for (int j = 0; j < n; j++) {
				c[i][j] = s.charAt(j);
			}
		}
		for (int i = 1; i <= n; i++) {
			print(i);
			rotate(i);
		}
	}
	
	void rotate(int step) {
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < n; j++) {
				if (d[i][j] == step) {
					d[j][n - i - 1] = step + 1;
				}
			}
		}
	}
	
	void print(int step) {
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < n; j++) {
				if (d[i][j] == step) {
					out.print(c[i][j]);
				}
			}
		}
	}
	
}
