
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1718 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1718()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = Integer.parseInt(in.readLine());
		HashSet<String> minSet = new HashSet<String>();
		HashSet<String> maxSet = new HashSet<String>();
		for (int i = 0; i < n; i++) {
			String[] s = in.readLine().split(" ");
			String name = s[0];
			String verdict = s[1];
			if (verdict.equals("CE")) continue;
			if (verdict.equals("AC")) {
				maxSet.add(name);
				continue;
			}
			int test = Integer.parseInt(s[2]);
			if (test >= 6) {
				maxSet.add(name);
				if (test == 7) {
					minSet.add(name);
				}
				continue;
			}
		}
		out.println(minSet.size() + " " + maxSet.size());
	}
	
}
