
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1723 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1723()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		String s = readString();
		int[] d = new int[26];
		int n = s.length();
		for (int i = 0; i < n; i++) {
			d[s.charAt(i) - 'a']++;
		}
		int maxIndex = 0;
		int max = d[0];
		for (int i = 1; i < 26; i++){
			if (d[i] > max) {
				max = d[i];
				maxIndex = i;
			}
		}
		out.println((char) (maxIndex + 'a'));
	}
}
