
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1727 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1727()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int sum = readInt();
		int n = 0;
		while (sum > 0) {
			n++;
			sum -= sumOfDigits(n);
		}
		out.println(sum == 0 ? n : n - 1);
		boolean b = false;
		for (int i = 1; i <= n; i++) {
			if (!b && sumOfDigits(i) == -sum) {
				b = true;
				continue;
			}
			out.print(i);
			if (i != n) out.print(' ');
		}
	}
	
	int sumOfDigits(int k) {
		int s = 0;
		while (k > 0) {
			s += (k % 10);
			k /= 10;
		}
		return s;
	}
	
}
