
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1737 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1737()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		if (6 * n > 100000) {
			out.println("TOO LONG");
			return;
		}
		if (n == 1) {
			out.println('a');
			out.println('b');
			out.println('c');
			return;
		}
		char[][] cc = new char[n][6];
		cc[0][0] = 'a'; cc[1][0] = 'b';
		cc[0][1] = 'a'; cc[1][1] = 'c';
		cc[0][2] = 'b'; cc[1][2] = 'a';
		cc[0][3] = 'b'; cc[1][3] = 'c';
		cc[0][4] = 'c'; cc[1][4] = 'a';
		cc[0][5] = 'c'; cc[1][5] = 'b';
		final char xc = 'a' ^ 'b' ^ 'c';
		for (int i = 2; i < n; i++) {
			for (int j = 0; j < 6; j++) {
				cc[i][j] = (char) (xc ^ cc[i - 1][j] ^ cc[i - 2][j]);
			}
		}
		for (int j = 0; j < 6; j++) {
			for (int i = 0; i < n; i++) {
				out.print(cc[i][j]);
			}
			out.println();
		}
	}
	
}
