
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1741 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	long readLong() throws IOException {
		tok.nextToken();
		return (long) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1741()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Patch {
		int to;
		long cost;
		String type;
		Patch(int to, long cost, String type) {
			this.to = to;
			this.cost = cost;
			this.type = type;
		}
		@Override
		public String toString() {
			return to + " " + cost + " " + type;
		}
	}
	
	void solve() throws IOException {
		int n = readInt();
		ArrayList<ArrayList<Patch>> graph = new ArrayList<ArrayList<Patch>>(n);
		for (int i = 0; i < n; i++) {
			graph.add(new ArrayList<Patch>());
		}
		int m = readInt();
		for (int i = 0; i < m; i++) {
			int from = readInt() - 1;
			int to = readInt() - 1;
			long cost = readLong();
			String type = readString();
			graph.get(from).add(new Patch(to, cost, type));
		}
		long[] licensed = new long[n];
		long[] pirated = new long[n];
		final long INF = Long.MAX_VALUE / 3;
		Arrays.fill(pirated, INF);
		Arrays.fill(licensed, INF);
		licensed[0] = 0;
		pirated[0] = 0;
		for (int from = 0; from < n; from++) {
			ArrayList<Patch> patches = graph.get(from);
			for (Patch p : patches) {
				if (p.type.equals("Licensed")) {
					licensed[p.to] = min(licensed[p.to], licensed[from] + p.cost);
				} else
				if (p.type.equals("Cracked")) {
					licensed[p.to] = min(licensed[p.to], licensed[from] + p.cost);
					pirated[p.to] = min(pirated[p.to], pirated[from] + p.cost);
				} else
				if (p.type.equals("Pirated")) {
					pirated[p.to] = min(pirated[p.to], pirated[from] + p.cost);
					pirated[p.to] = min(pirated[p.to], licensed[from] + p.cost);
				}
			}
		}
		long ans = min(licensed[n - 1], pirated[n - 1]);
		if (ans == INF) {
			out.println("Offline");
		} else {
			out.println("Online");
			out.println(ans);
		}
	}
	
}
