
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1754 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1754()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Point {
		long x, y, z;
		Point(int x, int y, int z) {
			this.x = x;
			this.y = y;
			this.z = z;
		}
	}
	
	class Plane {
		long A, B, C, D;
		Plane(Point p1, Point p2, Point p3) {
			A = (p2.y-p1.y)*(p3.z-p1.z) - (p3.y-p1.y)*(p2.z-p1.z);
			B = (p2.z-p1.z)*(p3.x-p1.x) - (p3.z-p1.z)*(p2.x-p1.x);
			C = (p2.x-p1.x)*(p3.y-p1.y) - (p3.x-p1.x)*(p2.y-p1.y);
			D = -p1.x * A - p1.y * B - p1.z * C;
		}
		double distance(Point p) {
			return abs(p.x * A + p.y * B + p.z * C + D) / sqrt(A*A + B*B + C*C);
		}
	}
	
	void solve() throws IOException {
		int m = readInt();
		int h = readInt();
		if (m < h) {
			out.println("NO");
			return;
		}
		int H = readInt();
		Point[] p = new Point[5];
		for (int i = 0; i <= 4; i++) {
			int x = readInt();
			int y = readInt();
			int z = (i == 4) ? H : ((i == 0) ? h : 0);
			p[i] = new Point(x, y, z);
		}
		Plane[] pl = new Plane[4];
		pl[0] = new Plane(p[1], p[2], p[3]);
		pl[1] = new Plane(p[1], p[2], p[4]);
		pl[2] = new Plane(p[1], p[3], p[4]);
		pl[3] = new Plane(p[2], p[3], p[4]);
		for (int i = 0; i < 4; i++) {
			double d = pl[i].distance(p[0]);
			if (d <= m - h) {
				out.println("YES");
				return;
			}
		}
		out.println("NO");
	}
	
}
