
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1759 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1759()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(Exception e) {
			System.exit(1);
		}
	}
	
	void solve() throws IOException {
		int n = Integer.parseInt(in.readLine());
		long[] a = new long[n];
		final long msInDay = 24 * 60 * 60 * 1000;
		for (int i = 0; i < n; i++) {
			String s = in.readLine();
			int date1 = Integer.parseInt(s.substring(0, 2));
			int month1 = Integer.parseInt(s.substring(3, 5));
			int year1 = Integer.parseInt(s.substring(6, 10));
			int date2 = Integer.parseInt(s.substring(22, 24));
			int month2 = Integer.parseInt(s.substring(25, 27));
			int year2 = Integer.parseInt(s.substring(28, 32));
			Date d1 = new Date(year1 - 1500, month1 - 1, date1, 0, 0, 1);
			Date d2 = new Date(year2 - 1500, month2 - 1, date2, 0, 0, 1);
			a[i] = d2.getTime() / msInDay - d1.getTime() / msInDay;
		}
		int maxIndex = 0;
		for (int i = 1; i < n; i++) {
			if (a[i] > a[maxIndex]) {
				maxIndex = i;
			}
		}
		out.println(maxIndex + 1);
	}
	
}
