
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1773 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1773()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	boolean asc;
	
	class Wallpaper implements Comparable<Wallpaper> {
		int left;
		int index;
		public Wallpaper(int left, int index) {
			this.left = left;
			this.index = index;
		}
		@Override
		public int compareTo(Wallpaper x) {
			if (asc) {
				if (this.left < x.left) return -1;
				if (this.left > x.left) return 1;
			} else {
				if (this.left < x.left) return 1;
				if (this.left > x.left) return -1;
			}
			return 0;
		}
		@Override
		public String toString() {
			return "[" + left + ": " + index + "]";
		}
	}
	
	void solve() throws IOException {
		int h = readInt();
		int n = readInt();
		Wallpaper[] a = new Wallpaper[2 * n];
		TreeSet<Integer> set = new TreeSet<Integer>();
		int left = readInt();
		int right = readInt();
		int d = left - right;
		asc = (d < 0);
		a[0] = new Wallpaper(left, 1);
		a[1] = new Wallpaper(h - right, -1);
		set.add(1);
		for (int i = 1; i < n; i++) {
			left = readInt();
			right = readInt();
			if (left - right != d) {
				out.println(0);
				return;
			}
			set.add(i + 1);
			a[2 * i] = new Wallpaper(left, i + 1);
			a[2 * i + 1] = new Wallpaper(h - right, -i - 1);
		}
		Arrays.sort(a);
		LinkedList<Integer> ans = new LinkedList<Integer>();
		int lastRight = a[0].left;
		for (int i = 0; i < 2 * n; i++) {
			int index = a[i].index;
			if (set.contains(abs(index)) && lastRight == a[i].left) {
				set.remove(abs(index));
				ans.add(index);
				lastRight = a[i].left - d;
			}
		}
		if (ans.size() != n) {
			out.println(0);
			return;
		}
		Iterator<Integer> it = ans.iterator();
		out.print(it.next());
		while (it.hasNext()) {
			out.print(' ');
			out.print(it.next());
		}
	}
	
}
