
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1786 implements Runnable {

	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;

	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}

	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}

	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}

	public static void main(String[] args) {
		new Thread(new Timus_1786()).start();
	}

	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}

	void solve() throws IOException {
		char[] s = readString().toCharArray();
		final char[] name = "Sandro".toCharArray();
		int n = s.length;
		int min = Integer.MAX_VALUE;
		for (int i = 0; i <= n - 6; i++) {
			int x = 0;
			for (int j = 0; j < 6; j++) {
				if (s[i + j] == name[j]) continue;
				if (Character.isUpperCase(name[j])) {
					if (Character.isUpperCase(s[i + j]) ||
						s[i + j] == Character.toLowerCase(name[j])) x += 5;
					else x += 10;
				} else {
					if (Character.isLowerCase(s[i + j]) ||
						s[i + j] == Character.toUpperCase(name[j])) x += 5;
					else x += 10;
				}
			}
			min = min(min, x);
		}
		out.println(min);
	}

}
