
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1788 implements Runnable {

	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;

	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}

	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}

	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}

	public static void main(String[] args) {
		new Thread(new Timus_1788()).start();
	}

	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}

	void solve() throws IOException {
		int girls = readInt();
		int boys = readInt();
		int[] g = new int[girls];
		int[] b = new int[boys];
		for (int i = 0; i < girls; i++) {
			g[i] = -readInt();
		}
		for (int i = 0; i < boys; i++) {
			b[i] = -readInt();
		}
		Arrays.sort(g);
		Arrays.sort(b);
		for (int i = 0; i < girls; i++) {
			g[i] = -g[i];
		}
		for (int i = 0; i < boys; i++) {
			b[i] = -b[i];
		}
		
		if (girls >= boys) {
			int ans = 0;
			for (int i = boys; i < girls; i++) {
				ans += g[i];
			}
			out.println(ans);
		} else {
			int ans = Integer.MAX_VALUE;
			for (int k = 0; k <= girls; k++) {
				int s = 0;
				for (int i = k; i < boys; i++) {
					s += b[i] * k;
				}
				for (int i = k; i < girls; i++) {
					s += g[i];
				}
				ans = min(ans, s);
			}
			out.println(ans);
		}
	}

}
