
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1792 implements Runnable {

	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;

	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}

	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}

	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}

	public static void main(String[] args) {
		new Thread(new Timus_1792()).start();
	}

	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	boolean check(boolean[] a) {
		boolean s1 = a[1] ^ a[2] ^ a[3];
		boolean s2 = a[0] ^ a[2] ^ a[3];
		boolean s3 = a[0] ^ a[1] ^ a[3];
		return a[4] == s1 && a[5] == s2 && a[6] == s3;
	}
	
	void printArray(boolean[] a) {
		int n = a.length;
		out.print(a[0] ? 1 : 0);
		for (int i = 1; i < n; i++) {
			out.print(' ');
			out.print(a[i] ? 1 : 0);
		}
	}
	
	void solve() throws IOException {
		boolean[] a = new boolean[7];
		for (int i = 0; i < 7; i++) {
			a[i] = (readInt() == 1);
		}
		for (int i = 0; i < 7; i++) {
			a[i] = !a[i];
			if (check(a)) {
				printArray(a);
				return;
			}
			a[i] = !a[i];
		}
		printArray(a);
	}

}
