
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1793 implements Runnable {
	
	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;
	
	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}
	
	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}
	
	double readDouble() throws IOException {
		tok.nextToken();
		return tok.nval;
	}
	
	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}
	
	public static void main(String[] args) {
		new Thread(new Timus_1793()).start();
	}
	
	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	double distance(double x1, double y1, double x2, double y2) {
		return sqrt((x2 - x1) * (x2 - x1) + (y2 - y1) * (y2 - y1));
	}
	
	void solve() throws IOException {
		double a = readDouble();
		double b = readDouble();
		if (a > b) {
			double temp = a;
			a = b;
			b = temp;
		}
		double d = readDouble();
		double r1 = readDouble();
		double R1 = readDouble();
		double r2 = readDouble();
		double R2 = readDouble();
		double h = readDouble();
		
		if (h > d) {
			double d1 = (R1 - r1) * (1 - d / h);
			double d2 = (R2 - r2) * (1 - d / h);
			a += (d1 + d2);
			b += (d1 + d2);
		}
		
		if (2 * max(R1, R2) > min(a, b)) {
			out.println("NO");
			return;
		}
		
		double x1 = R1;
		double y1 = R1;
		double x2 = a - R2;
		double y2 = b - R2;
		double dist = distance(x1, y1, x2, y2);
		
		if(R1 + R2 <= dist) {
			out.println("YES");
		} else {
			out.println("NO");
		}
	}
	
}
