
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1794 implements Runnable {

	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;

	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}

	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}

	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}

	public static void main(String[] args) {
		new Thread(new Timus_1794()).start();
	}

	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}

	void solve() throws IOException {
		int n = readInt();
		int[] a = new int[n];
		for (int i = 0; i < n; i++) {
			a[i] = readInt();
		}
		int[] b = new int[n];
		for (int i = 0; i < n; i++) {
			b[i] = a[i] - (i + 1);
			if (b[i] <= 0) b[i] += n;
		}
		int[] d = new int[n];
		for (int i = 0; i < n; i++) {
			d[b[i] - 1]++;
		}
		int max = d[0], shift = 1;
		for (int i = 1; i < n; i++) {
			if (d[i] > max) {
				max = d[i];
				shift = i + 1;
			}
		}
		for (int i = 0; i < n; i++) {
			if (b[i] == shift) {
				int ans = (i + 1) - a[i] + 1;
				if (ans <= 0) ans += n;
				out.println(ans);
				return;
			}
		}
	}

}
