
import java.io.*;
import java.math.*;
import java.util.*;
import static java.lang.Math.*;

public class Timus_1795 implements Runnable {

	StreamTokenizer tok;
	BufferedReader in;
	PrintWriter out;
	boolean timus = System.getProperty("ONLINE_JUDGE") != null;

	void init() throws IOException {
		if (timus) {
			in = new BufferedReader(new InputStreamReader(System.in));
			tok = new StreamTokenizer(in);
			out = new PrintWriter(System.out);
		} else {
			in = new BufferedReader(new FileReader("input.txt"));
			tok = new StreamTokenizer(in);
			out = new PrintWriter("output.txt");
		}
	}

	int readInt() throws IOException {
		tok.nextToken();
		return (int) tok.nval;
	}

	String readString() throws IOException {
		tok.nextToken();
		return tok.sval;
	}

	public static void main(String[] args) {
		new Thread(new Timus_1795()).start();
	}

	@Override
	public void run() {
		try {
			if (timus) {
				init();
				solve();
				out.flush();
			} else {
				long t1 = System.currentTimeMillis();
				init();
				solve();
				out.close();
				long t2 = System.currentTimeMillis();
				System.out.println(t2 - t1);
			}
		} catch(IOException e) {
			System.exit(1);
		}
	}
	
	class Product {
		String name;
		int amount;
		int last = 0;
		Product(String name, int amount) {
			this.name = name;
			this.amount = amount;
		}
		@Override
		public String toString() {
			return name + "=" + amount + " (last = " + last + ")";
		}
	}
	
	Product readProduct() throws IOException {
		int amount = readInt();
		readString();
		String name = readString();
		return new Product(name, amount);
	}
	
	HashMap<String, Integer> map = new HashMap<String, Integer>();
	
	void solve() throws IOException {
		int m = readInt();
		for (int i = 0; i < m; i++) {
			int amount = readInt();
			readString();
			String name = readString();
			map.put(name, amount);
		}
		int n = readInt();
		Deque<Product> deque = new ArrayDeque<Product>(n);
		for (int i = 0; i < n; i++) {
			Product p = readProduct();
			deque.addLast(p);
		}
		int time = 0;
		while (!deque.isEmpty()) {
			time++;
			Product p = deque.pollFirst();
			if (map.containsKey(p.name)) {
				String name = p.name;
				int amount = p.amount;
				if (map.get(name) > amount) {
					map.put(name, map.get(name) - amount);
					continue;
				}
				if (map.get(name) == amount) {
					map.remove(name);
					continue;
				}
				if (map.get(name) == p.last) {
					map.remove(name);
					continue;
				} else {
					p.last = map.get(name);
					Product q = deque.pollFirst();
					if (q == null) {
						out.println(time);
						return;
					}
					deque.addFirst(p);
					deque.addFirst(q);
				}
			}
		}
		out.println(time);
	}

}
